Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util.profiling
Class Counter

    java.lang.Object
      avrora.util.profiling.DataItem
          avrora.util.profiling.Counter

Direct Known Subclasses:
  Proportion.Share

public class Counter
extends DataItem

This class implements a simple counter as a data item. It is used by more complicated data item classes.

Field Summary
`protected int` | `count`

Fields inherited from class avrora.util.profiling.DataItem
`name`

Constructor Summary
`Counter(java.lang.String newname)`
`Counter(java.lang.String newname, int newcount)`

Method Summary
`int` | `getTotal()`
`boolean` | `hasData()`
`void` | `increment()`
`void` | `increment(int num)`
`void` | `processData()`
`void` | `reset()`
`void` | `textReport()`

Methods inherited from class avrora.util.profiling.DataItem
`getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### count

    protected int count

Constructor Detail

### Counter

    public Counter(java.lang.String newname)

### Counter

    public Counter(java.lang.String newname,
                   int newcount)

Method Detail

### getTotal

    public int getTotal()

### reset

    public void reset()

### increment

    public void increment()

### increment

    public void increment(int num)

### textReport

    public void textReport()

  Specified by:
    `textReport` in class `DataItem`

### processData

    public void processData()

  Specified by:
    `processData` in class `DataItem`

### hasData

    public boolean hasData()

  Specified by:
    `hasData` in class `DataItem`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD